Package weka.core

# Class SystemInfo

java.lang.Object
weka.core.SystemInfo

All Implemented Interfaces:
  `RevisionHandler`

public class SystemInfo extends Object implements RevisionHandler
This class prints some information about the system setup, like Java version, JVM settings etc. Useful for Bug-Reports.

Version:
  $Revision: 1.5 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

## Constructor Summary

Constructors
Constructor
Description
`SystemInfo()`
initializes the object and reads the system information

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`Hashtable`
`getSystemInfo()`
returns a copy of the system info.
`static void`
`main(String[] args)`
for printing the system info to stdout.
`String`
`toString()`
returns a string representation of all the system properties

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SystemInfo

public SystemInfo()
initializes the object and reads the system information

## Method Details

### getSystemInfo

public Hashtable getSystemInfo()
returns a copy of the system info. the key is the name of the property and the associated object is the value of the property (a string).

### toString

public String toString()
returns a string representation of all the system properties

Overrides:
  `toString` in class `Object`

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision

### main

public static void main(String[] args)
for printing the system info to stdout.